import{s as Je,n as Ve,o as Ke}from"../chunks/scheduler.b108d059.js";import{S as Xe,i as Ze,g as a,s,r as E,A as et,h as o,f as i,c as n,j as We,u as O,x as r,k as Ye,y as tt,a as l,v as z,d as F,t as G,w as I}from"../chunks/index.008de539.js";import{H as N,E as it}from"../chunks/EditOnGithub.d1c48e3d.js";function lt(Le){let u,W,D,Y,c,J,h,xe="With the plethora of large language models (LLMs) and chatbots being released week upon week, often with grandiose claims of their performance, it can be hard to filter out the genuine progress that is being made by the open-source community and which model is the current state of the art.",V,m,Be='We wrote a release blog <a href="https://huggingface.co/spaces/open-llm-leaderboard/blog" rel="nofollow">here</a> to explain why we introduced this leaderboard!',K,d,X,f,we='📈 We evaluate models on 6 key benchmarks using the <a href="https://github.com/EleutherAI/lm-evaluation-harness" rel="nofollow">Eleuther AI Language Model Evaluation Harness</a> , a unified framework to test generative language models on a large number of different evaluation tasks.',Z,g,ke='<li><strong>IFEval</strong> (<a href="https://arxiv.org/abs/2311.07911" rel="nofollow">https://arxiv.org/abs/2311.07911</a>) – IFEval is a dataset designed to test a model’s ability to follow explicit instructions, such as “include keyword x” or “use format y.” The focus is on the model’s adherence to formatting instructions rather than the content generated, allowing for the use of strict and rigorous metrics.</li> <li><strong>BBH (Big Bench Hard)</strong> (<a href="https://arxiv.org/abs/2210.09261" rel="nofollow">https://arxiv.org/abs/2210.09261</a>) – A subset of 23 challenging tasks from the BigBench dataset to evaluate language models. The tasks use objective metrics, are highly difficult, and have sufficient sample sizes for statistical significance. They include multistep arithmetic, algorithmic reasoning (e.g., boolean expressions, SVG shapes), language understanding (e.g., sarcasm detection, name disambiguation), and world knowledge. BBH performance correlates well with human preferences, providing valuable insights into model capabilities.</li> <li><strong>MATH</strong> (<a href="https://arxiv.org/abs/2103.03874" rel="nofollow">https://arxiv.org/abs/2103.03874</a>) – MATH is a compilation of high-school level competition problems gathered from several sources, formatted consistently using Latex for equations and Asymptote for figures. Generations must fit a very specific output format. We keep only level 5 MATH questions and call it MATH Lvl 5.</li> <li><strong>GPQA (Graduate-Level Google-Proof Q&amp;A Benchmark)</strong> (<a href="https://arxiv.org/abs/2311.12022" rel="nofollow">https://arxiv.org/abs/2311.12022</a>) – GPQA is a highly challenging knowledge dataset with questions crafted by PhD-level domain experts in fields like biology, physics, and chemistry. These questions are designed to be difficult for laypersons but relatively easy for experts. The dataset has undergone multiple rounds of validation to ensure both difficulty and factual accuracy. Access to GPQA is restricted through gating mechanisms to minimize the risk of data contamination. Consequently, we do not provide plain text examples from this dataset, as requested by the authors.</li> <li><strong>MuSR (Multistep Soft Reasoning)</strong> (<a href="https://arxiv.org/abs/2310.16049" rel="nofollow">https://arxiv.org/abs/2310.16049</a>) – MuSR is a new dataset consisting of algorithmically generated complex problems, each around 1,000 words in length. The problems include murder mysteries, object placement questions, and team allocation optimizations. Solving these problems requires models to integrate reasoning with long-range context parsing. Few models achieve better than random performance on this dataset.</li> <li><strong>MMLU-PRO (Massive Multitask Language Understanding - Professional)</strong> (<a href="https://arxiv.org/abs/2406.01574" rel="nofollow">https://arxiv.org/abs/2406.01574</a>) – MMLU-Pro is a refined version of the MMLU dataset, which has been a standard for multiple-choice knowledge assessment. Recent research identified issues with the original MMLU, such as noisy data (some unanswerable questions) and decreasing difficulty due to advances in model capabilities and increased data contamination. MMLU-Pro addresses these issues by presenting models with 10 choices instead of 4, requiring reasoning on more questions, and undergoing expert review to reduce noise. As a result, MMLU-Pro is of higher quality and currently more challenging than the original.</li>',ee,p,$e="For all these evaluations, a higher score is a better score. We chose these benchmarks as they test a variety of reasoning and general knowledge across a wide variety of fields in 0-shot and few-shot settings.",te,v,ie,b,Pe="You can find:",le,_,Ce='<li>Detailed numerical results in the <a href="https://huggingface.co/datasets/open-llm-leaderboard/results/" rel="nofollow"><code>results</code> Hugging Face dataset</a>.</li> <li>Details on the input/outputs for the models in the <code>details</code> of each model, which you can access by clicking the 📄 emoji after the model name.</li> <li>Community queries and running status in the <a href="https://huggingface.co/datasets/open-llm-leaderboard/requests" rel="nofollow"><code>requests</code> Hugging Face dataset</a>.</li>',se,M,Se="If a model’s name contains “Flagged”, this indicates it has been flagged by the community, and should probably be ignored! Clicking the link will redirect you to the discussion about the model.",ne,H,ae,T,Ae=`To reproduce our results, you can use <a href="https://github.com/eleutherai/lm-evaluation-harness/" rel="nofollow">lm_eval</a> by installing it from main: 
<code>lm-eval --model hf --model_args=&quot;pretrained=&lt;your_model&gt;,revision=&lt;your_model_revision&gt;,dtype=&lt;model_dtype&gt;&quot; --tasks=leaderboard --batch_size=auto --output_path=&lt;output_path&gt;</code>`,oe,y,je="<strong>Note:</strong> You can expect results to vary slightly for different batch sizes because of padding.",re,L,ue,x,qe="<strong>IFEval</strong>:",ce,B,Re="<li>Task: “IFEval”</li> <li>Measure: Strict Accuracy at Instance and Prompt Levels (<code>inst_level_strict_acc,none</code> and <code>prompt_level_strict_acc,none</code>)</li> <li>Shots: 0-shot for both Instance-Level Strict Accuracy and Prompt-Level Strict Accuracy</li> <li>num_choices: 0 for both Strict Accuracy at Instance and Prompt Levels.</li>",he,w,Ue="<strong>Big Bench Hard (BBH)</strong>:",me,k,Ee="<li>Overview Task: “BBH”</li> <li>Shots: 3-shot for each subtask</li> <li>Measure: Normalized Accuracy across all subtasks (<code>acc_norm,none</code>)</li> <li>List of subtasks with num_choices:<ul><li>BBH Sports Understanding, num_choices=2</li> <li>BBH Tracking Shuffled Objects (Three Objects), num_choices=3</li> <li>BBH Navigate, num_choices=2</li> <li>BBH Snarks, num_choices=2</li> <li>BBH Date Understanding, num_choices=6</li> <li>BBH Reasoning about Colored Objects, num_choices=18</li> <li>BBH Object Counting, num_choices=19 (should be 18 but we added a “0” choice)</li> <li>BBH Logical Deduction (Seven Objects), num_choices=7</li> <li>BBH Geometric Shapes, num_choices=11</li> <li>BBH Web of Lies, num_choices=2</li> <li>BBH Movie Recommendation, num_choices=6</li> <li>BBH Logical Deduction (Five Objects), num_choices=5</li> <li>BBH Salient Translation Error Detection, num_choices=6</li> <li>BBH Disambiguation QA, num_choices=3</li> <li>BBH Temporal Sequences, num_choices=4</li> <li>BBH Hyperbaton, num_choices=2</li> <li>BBH Logical Deduction (Three Objects), num_choices=3</li> <li>BBH Causal Judgement, num_choices=2</li> <li>BBH Formal Fallacies, num_choices=2</li> <li>BBH Tracking Shuffled Objects (Seven Objects), num_choices=7</li> <li>BBH Ruin Names, num_choices=6</li> <li>BBH Penguins in a Table, num_choices=5</li> <li>BBH Boolean Expressions, num_choices=2</li> <li>BBH Tracking Shuffled Objects (Five Objects), num_choices=5</li></ul></li>",de,$,Oe="<strong>Math Challenges</strong>:",fe,P,ze="<li>Task: “Math Level 5”</li> <li>Measure: Exact Match (<code>exact_match,none</code>)</li> <li>Shots: 4-shot</li> <li>num_choices: 0</li>",ge,C,Fe="<strong>Generalized Purpose Question Answering (GPQA)</strong>:",pe,S,Ge="<li>Task: “GPQA”</li> <li>Measure: Normalized Accuracy (<code>acc_norm,none</code>)</li> <li>Shots: 0-shot</li> <li>num_choices: 4</li>",ve,A,Ie="<strong>MuSR</strong>:",be,j,De="<li>Overview Task: “MuSR”</li> <li>Measure: Normalized Accuracy across all subtasks (<code>acc_norm,none</code>)</li> <li>MuSR Murder Mysteries: 0-shot, num_choices: 2</li> <li>MuSR Object Placement: 0-shot, num_choices: 5</li> <li>MuSR Team Allocation: 0-shot, num_choices: 3</li>",_e,q,Qe="<strong>MMLU-PRO</strong>:",Me,R,Ne="<li>Task: “MMLU-PRO”</li> <li>Measure: Accuracy (<code>acc,none</code>)</li> <li>Shots: 5-shot</li> <li>num_choices: 10</li>",He,U,Te,Q,ye;return c=new N({props:{title:"About",local:"about",headingTag:"h1"}}),d=new N({props:{title:"Tasks",local:"tasks",headingTag:"h2"}}),v=new N({props:{title:"Results",local:"results",headingTag:"h3"}}),H=new N({props:{title:"Reproducibility",local:"reproducibility",headingTag:"h2"}}),L=new N({props:{title:"Task Evaluations and Parameters",local:"task-evaluations-and-parameters",headingTag:"h3"}}),U=new it({props:{source:"https://github.com/huggingface/leaderboards/blob/main/docs/source/en/open_llm_leaderboard/about.md"}}),{c(){u=a("meta"),W=s(),D=a("p"),Y=s(),E(c.$$.fragment),J=s(),h=a("p"),h.textContent=xe,V=s(),m=a("p"),m.innerHTML=Be,K=s(),E(d.$$.fragment),X=s(),f=a("p"),f.innerHTML=we,Z=s(),g=a("ul"),g.innerHTML=ke,ee=s(),p=a("p"),p.textContent=$e,te=s(),E(v.$$.fragment),ie=s(),b=a("p"),b.textContent=Pe,le=s(),_=a("ul"),_.innerHTML=Ce,se=s(),M=a("p"),M.textContent=Se,ne=s(),E(H.$$.fragment),ae=s(),T=a("p"),T.innerHTML=Ae,oe=s(),y=a("p"),y.innerHTML=je,re=s(),E(L.$$.fragment),ue=s(),x=a("p"),x.innerHTML=qe,ce=s(),B=a("ul"),B.innerHTML=Re,he=s(),w=a("p"),w.innerHTML=Ue,me=s(),k=a("ul"),k.innerHTML=Ee,de=s(),$=a("p"),$.innerHTML=Oe,fe=s(),P=a("ul"),P.innerHTML=ze,ge=s(),C=a("p"),C.innerHTML=Fe,pe=s(),S=a("ul"),S.innerHTML=Ge,ve=s(),A=a("p"),A.innerHTML=Ie,be=s(),j=a("ul"),j.innerHTML=De,_e=s(),q=a("p"),q.innerHTML=Qe,Me=s(),R=a("ul"),R.innerHTML=Ne,He=s(),E(U.$$.fragment),Te=s(),Q=a("p"),this.h()},l(e){const t=et("svelte-u9bgzb",document.head);u=o(t,"META",{name:!0,content:!0}),t.forEach(i),W=n(e),D=o(e,"P",{}),We(D).forEach(i),Y=n(e),O(c.$$.fragment,e),J=n(e),h=o(e,"P",{"data-svelte-h":!0}),r(h)!=="svelte-1dxg406"&&(h.textContent=xe),V=n(e),m=o(e,"P",{"data-svelte-h":!0}),r(m)!=="svelte-1ua0bfg"&&(m.innerHTML=Be),K=n(e),O(d.$$.fragment,e),X=n(e),f=o(e,"P",{"data-svelte-h":!0}),r(f)!=="svelte-7obrwl"&&(f.innerHTML=we),Z=n(e),g=o(e,"UL",{"data-svelte-h":!0}),r(g)!=="svelte-6ubaf5"&&(g.innerHTML=ke),ee=n(e),p=o(e,"P",{"data-svelte-h":!0}),r(p)!=="svelte-ptk9p"&&(p.textContent=$e),te=n(e),O(v.$$.fragment,e),ie=n(e),b=o(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-5fhdf6"&&(b.textContent=Pe),le=n(e),_=o(e,"UL",{"data-svelte-h":!0}),r(_)!=="svelte-1yg5atm"&&(_.innerHTML=Ce),se=n(e),M=o(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-ghskzm"&&(M.textContent=Se),ne=n(e),O(H.$$.fragment,e),ae=n(e),T=o(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-11pxhrv"&&(T.innerHTML=Ae),oe=n(e),y=o(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-12a6ck6"&&(y.innerHTML=je),re=n(e),O(L.$$.fragment,e),ue=n(e),x=o(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-ox4mz8"&&(x.innerHTML=qe),ce=n(e),B=o(e,"UL",{"data-svelte-h":!0}),r(B)!=="svelte-m5tji4"&&(B.innerHTML=Re),he=n(e),w=o(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-q2ojz5"&&(w.innerHTML=Ue),me=n(e),k=o(e,"UL",{"data-svelte-h":!0}),r(k)!=="svelte-1vwgzn5"&&(k.innerHTML=Ee),de=n(e),$=o(e,"P",{"data-svelte-h":!0}),r($)!=="svelte-96zc1j"&&($.innerHTML=Oe),fe=n(e),P=o(e,"UL",{"data-svelte-h":!0}),r(P)!=="svelte-1nffjdr"&&(P.innerHTML=ze),ge=n(e),C=o(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-1m0c2ex"&&(C.innerHTML=Fe),pe=n(e),S=o(e,"UL",{"data-svelte-h":!0}),r(S)!=="svelte-fv1v26"&&(S.innerHTML=Ge),ve=n(e),A=o(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-1nz1yg6"&&(A.innerHTML=Ie),be=n(e),j=o(e,"UL",{"data-svelte-h":!0}),r(j)!=="svelte-1mm0ue5"&&(j.innerHTML=De),_e=n(e),q=o(e,"P",{"data-svelte-h":!0}),r(q)!=="svelte-1oif2sm"&&(q.innerHTML=Qe),Me=n(e),R=o(e,"UL",{"data-svelte-h":!0}),r(R)!=="svelte-kuj35u"&&(R.innerHTML=Ne),He=n(e),O(U.$$.fragment,e),Te=n(e),Q=o(e,"P",{}),We(Q).forEach(i),this.h()},h(){Ye(u,"name","hf:doc:metadata"),Ye(u,"content",st)},m(e,t){tt(document.head,u),l(e,W,t),l(e,D,t),l(e,Y,t),z(c,e,t),l(e,J,t),l(e,h,t),l(e,V,t),l(e,m,t),l(e,K,t),z(d,e,t),l(e,X,t),l(e,f,t),l(e,Z,t),l(e,g,t),l(e,ee,t),l(e,p,t),l(e,te,t),z(v,e,t),l(e,ie,t),l(e,b,t),l(e,le,t),l(e,_,t),l(e,se,t),l(e,M,t),l(e,ne,t),z(H,e,t),l(e,ae,t),l(e,T,t),l(e,oe,t),l(e,y,t),l(e,re,t),z(L,e,t),l(e,ue,t),l(e,x,t),l(e,ce,t),l(e,B,t),l(e,he,t),l(e,w,t),l(e,me,t),l(e,k,t),l(e,de,t),l(e,$,t),l(e,fe,t),l(e,P,t),l(e,ge,t),l(e,C,t),l(e,pe,t),l(e,S,t),l(e,ve,t),l(e,A,t),l(e,be,t),l(e,j,t),l(e,_e,t),l(e,q,t),l(e,Me,t),l(e,R,t),l(e,He,t),z(U,e,t),l(e,Te,t),l(e,Q,t),ye=!0},p:Ve,i(e){ye||(F(c.$$.fragment,e),F(d.$$.fragment,e),F(v.$$.fragment,e),F(H.$$.fragment,e),F(L.$$.fragment,e),F(U.$$.fragment,e),ye=!0)},o(e){G(c.$$.fragment,e),G(d.$$.fragment,e),G(v.$$.fragment,e),G(H.$$.fragment,e),G(L.$$.fragment,e),G(U.$$.fragment,e),ye=!1},d(e){e&&(i(W),i(D),i(Y),i(J),i(h),i(V),i(m),i(K),i(X),i(f),i(Z),i(g),i(ee),i(p),i(te),i(ie),i(b),i(le),i(_),i(se),i(M),i(ne),i(ae),i(T),i(oe),i(y),i(re),i(ue),i(x),i(ce),i(B),i(he),i(w),i(me),i(k),i(de),i($),i(fe),i(P),i(ge),i(C),i(pe),i(S),i(ve),i(A),i(be),i(j),i(_e),i(q),i(Me),i(R),i(He),i(Te),i(Q)),i(u),I(c,e),I(d,e),I(v,e),I(H,e),I(L,e),I(U,e)}}}const st='{"title":"About","local":"about","sections":[{"title":"Tasks","local":"tasks","sections":[{"title":"Results","local":"results","sections":[],"depth":3}],"depth":2},{"title":"Reproducibility","local":"reproducibility","sections":[{"title":"Task Evaluations and Parameters","local":"task-evaluations-and-parameters","sections":[],"depth":3}],"depth":2}],"depth":1}';function nt(Le){return Ke(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ut extends Xe{constructor(u){super(),Ze(this,u,nt,lt,Je,{})}}export{ut as component};
